import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';


@Injectable({
  providedIn: 'root'
})

export class DataService {

  private leadSource = new BehaviorSubject(null);
  currentLead = this.leadSource.asObservable();

  constructor() { }

  changeLead(lead: any) {
    this.leadSource.next(lead)
  }

}
