import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { TokenService } from 'src/app/services/token.service';


@Injectable({
  providedIn: 'root'
})
export class MemberService {

  authToken: any;
  constructor(
    private http: HttpClient,
    private token: TokenService,
  ) { }

  getMember(memberid: any) {
    this.authToken = this.token.getToken();
    const header: HttpHeaders = new HttpHeaders().set('Authorization', this.authToken);
    const url = `${environment.url}/members/getMemberDetail/${memberid}`;
    return this.http.get(url, {headers: header});
  }
}
